package de.duehl.basics.io;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 * Diese Klasse beinhaltet Hilfsmethoden rund um die Ein- und Ausgabe.
 *
 * @version 1.01     2018-04-06
 * @author Christian Dühl
 */

public class IoHelper {

    /** Läuft bis der Benutzer Return / Enter auf der Konsole eingibt. */
    public static void waitForReturn() {
        try {
            tryToWaitForReturn();
        }
        catch (Exception exception) {
            throw new RuntimeException(exception);
        }
    }

    private static void tryToWaitForReturn() throws IOException {
        BufferedReader stdin = new BufferedReader(new InputStreamReader(System.in));
        stdin.readLine();
    }

}
